<div class="bgimage ">

  <div class="container  p-2 box-size">
    <!-- add new address form with expansion panel -->
    <div class="row justify-content-md-center">
      <div class="col-12 p-0 rounded pt-4">
        <mat-expansion-panel class="matter " >

          <mat-expansion-panel-header class="Notetag" (click)="filecloser()">

            <mat-panel-title class="center-text">

              ADD NEW ADDRESS
              <mat-icon>map</mat-icon>

            </mat-panel-title>

          </mat-expansion-panel-header>

          <!--  Hidden form popup-->

          <form class="row g-3 m-2" [formGroup]="addressForm" (ngSubmit)="AddDetails(addressForm)" >
            <div class="col-12">
              <label for="inputAddress" class="form-label text-start">Address 1<p class="d-inline text-danger">*</p></label>
              <input type="text" class="form-control" id="inputAddress1" placeholder="1234 Main St" [(ngModel)]="address.address1"  formControlName="address1">
              <mat-error *ngIf="addressForm.get('address1')?.touched && addressForm.get('address1')?.hasError('required')">*Address required</mat-error>
              <mat-error *ngIf="addressForm.get('address1')?.touched && addressForm.get('address1')?.hasError('minlength')">*Enter atleat 3 letter address</mat-error>
              <mat-error *ngIf="addressForm.get('address1')?.touched && addressForm.get('address1')?.hasError('maxlength')">*Enter atmost 150 characters</mat-error>
            </div>
            <div class="col-12">
              <label for="inputAddress2" class="form-label">Address 2</label>
              <input type="text" class="form-control" id="inputAddress2" placeholder="Apartment, studio, or floor" [(ngModel)]="address.address2" formControlName="address2">
              <mat-error *ngIf="addressForm.get('address2')?.touched && addressForm.get('address2')?.hasError('maxlength')">*Enter atmost 100 characters</mat-error>
            </div>
            <div class="col-6">
              <label for="inputCity" class="form-label">City<p class="d-inline text-danger">*</p></label>
              <input type="text" class="form-control" id="inputCity"  placeholder="City" [(ngModel)]="address.city"  formControlName="city">
              <mat-error *ngIf="addressForm.get('city')?.touched && addressForm.get('city')?.hasError('required')">*City name required</mat-error>
              <mat-error *ngIf="addressForm.get('city')?.touched && addressForm.get('city')?.hasError('minlength')">*Atleast 3 letter required</mat-error>
              <mat-error *ngIf="addressForm.get('city')?.touched && addressForm.get('city')?.hasError('maxlength')">*Atmost 20 letters </mat-error>
            </div>

            <div class="col-md-4 col-6">
              <label for="inputState" class="form-label">State<p class="d-inline text-danger">*</p></label>
              <select name="state" id="inputState" class="form-select" [(ngModel)]="address.state"  formControlName="state" aria-label="Default select example" > <option selected="">Choose state</option><option value="Andhra Pradesh">Andhra Pradesh</option><option value="Andaman and Nicobar Islands">Andaman and Nicobar Islands</option><option value="Arunachal Pradesh">Arunachal Pradesh</option><option value="Assam">Assam</option><option value="Bihar">Bihar</option><option value="Chandigarh">Chandigarh</option><option value="Chhattisgarh">Chhattisgarh</option><option value="Dadar and Nagar Haveli">Dadar and Nagar Haveli</option><option value="Daman and Diu">Daman and Diu</option><option value="Delhi">Delhi</option><option value="Lakshadweep">Lakshadweep</option><option value="Puducherry">Puducherry</option><option value="Goa">Goa</option><option value="Gujarat">Gujarat</option><option value="Haryana">Haryana</option><option value="Himachal Pradesh">Himachal Pradesh</option><option value="Jammu and Kashmir">Jammu and Kashmir</option><option value="Jharkhand">Jharkhand</option><option value="Karnataka">Karnataka</option><option value="Kerala">Kerala</option><option value="Madhya Pradesh">Madhya Pradesh</option><option value="Maharashtra">Maharashtra</option><option value="Manipur">Manipur</option><option value="Meghalaya">Meghalaya</option><option value="Mizoram">Mizoram</option><option value="Nagaland">Nagaland</option><option value="Odisha">Odisha</option><option value="Punjab">Punjab</option><option value="Rajasthan">Rajasthan</option><option value="Sikkim">Sikkim</option><option value="Tamil Nadu">Tamil Nadu</option><option value="Telangana">Telangana</option><option value="Tripura">Tripura</option><option value="Uttar Pradesh">Uttar Pradesh</option><option value="Uttarakhand">Uttarakhand</option><option value="West Bengal">West Bengal</option></select>

            </div>
            <div class="col-md-2 col-6">
              <label for="inputZip" class="form-label">Pin Code<p class="d-inline text-danger">*</p></label>
              <input type="number" class="form-control" id="inputZip" placeholder="Pincode" [(ngModel)]="address.zip"  formControlName="zip">
              <mat-error *ngIf="addressForm.get('zip')?.touched && addressForm.get('zip')?.hasError('required')">*Postal code required</mat-error>
              <mat-error *ngIf="addressForm.get('zip')?.touched && addressForm.get('zip')?.hasError('pattern')">*Enter valid code</mat-error>
            </div>
            <div><p class="fw-bold text-danger d-inline">*</p><p class="text-white fw-bold d-inline"> is a required field</p></div>

            <div class="col-12 text-center">
              <button type="submit" class="btn btn-color " [disabled]="addressForm.invalid" >Save</button>
            </div>
          </form>
        </mat-expansion-panel>
      </div>
    </div>
    <!-- address form ends -->

    <div *ngIf="formFlag" class="text-center">
      <!-- file upload section starts -->
      <img class="p-3" src="../../../assets/dot2 (1).png" style="width: 20vw;"><h2 class="text-center text-white mt-3 d-inline">OR</h2><img class="p-3 d-inline" src="../../../assets/dot2 (1).png" style="width: 20vw;">

    <div class="alert box " role="alert">

      <div >
        <div class="mb-2 d-flex justify-content-center">
            <img src="../../../assets/file.png"
            alt="example placeholder" style="width: 100px;" />

        </div>
        <h3>{{file.name || "No File uploaded yet"}}</h3>
        <div class="d-flex justify-content-center">
            <div class="btn btn-primary btn-rounded px-1">

                <label class="form-label text-white m-2 " for="customFile1" title="Choose">Choose file</label>
                <input type="file" class="form-control d-none" accept=".xlsx" placeholder="Choose your file" id="customFile1" (change)="readFile($event)" />

              </div>
            <a class="btn text-white btn-lg btn-floating m-1" style="background-color: #2bac34;" (click)="uploadFile($event)" role="button" title="upload" >
              <i class="fa-solid fa-upload"></i>
            </a>
        </div>
        <p class="text-white m-2">The maximum file size allowed is 2MB.</p>
    </div>
    </div>
    <!-- file upload section ends -->
  </div>
</div>
</div>
